#ifndef ARCHIVE_HPP
#define ARCHIVE_HPP
#include <iostream>

class iarchive {
public:
	iarchive() : is_(std::cin) {}
	iarchive(std::istream& is) : is_(is) {}
	std::istream& getIs() { return is_; }
private:
	std::istream& is_; 
};

class oarchive {
public:
	oarchive() : os_(std::cout) {}
	oarchive(std::ostream& os) : os_(os) {}
	std::ostream& getOs() { return os_; }
private:
	std::ostream& os_; 
};

iarchive& operator>>(iarchive&, int&);
oarchive& operator<<(oarchive&, const int&);

#endif

