/*

 \sum_{r=1}^n 1 / r (r+1) =  n / (n + 1)

g++ -O3 gettimeofday.cpp -g -c 
g++ -O3 mempool.cpp -g -c 
g++ -O3 longint.cpp -g -c -DMEMPOOL
g++ -O3 rational.cpp -g -c
g++ -O3 invmulsum.cpp  rational.o longint.o mempool.o gettimeofday.o

*/
#include <iostream>
#include "rational.h"
#include "longint.h"

using namespace std;

int main(void){
	rational x,y,x1,x12,x12inv;
	int i,n;

	cout << "Enter n" << endl;
	cin >> n;

//	x = rational::ZERO;
//	y = rational::ZERO;
	x = 0;
	y = 0;

	for(i=1; i<=n; i++){
		x += 1;
		x1=x + rational::ONE;
//		x1=x + 1;
		x12=x*x1;
		x12inv=rational::ONE/x12;
//		x12inv=1/x12;
		y=y+x12inv;
	}
	std::cout << "SUM_{i=1}^" << n << " 1/i*(i+1)=" << y << std::endl;

	return 1;
}

