#ifndef _RAT_NUMERIC_CAST_H
#define _RAT_NUMERIC_CAST_H
#include "longint.h"
#include "rational.h"
#include "rough.h"

namespace rat {
	template<typename T, typename S> T numeric_cast(S const& s); 
	template<>
	rough numeric_cast<rough,longint>(longint const& n);
	template<>
	rough numeric_cast<rough,rational>(rational const& s);
	template<>
	rough numeric_cast<rough,uint32_t>(uint32_t const& n);

}
#endif
