/*
 * thread_manager.h
 *
 *  Created on: 2012/12/30
 *      Author: osamu
 */

#ifndef THREAD_MANAGER_H_
#define THREAD_MANAGER_H_

//namespace thread_manager {

class thread_manager {
public:
#ifdef NUM_THREADS
	static const int num_threads = NUM_THREADS;	// the number of threads including main thread
#else
	static const int num_threads = 2;	// the number of threads including main thread
#endif

	typedef struct {
		void (*f)(void*);		// function executing task
		void* params;		// parameters to task
	} task_t;

	thread_manager();
	~thread_manager();
	static void execute(task_t* tasks, int num_tasks);
};
//}
#endif /* THREAD_MANAGER_H_ */
