/*
 * oltest.cpp
 *
 *  Created on: 2014feb08  to test operator overload
 *      Author: Hikaru Samukawa

g++ -O3 gettimeofday.cpp -g -c 
g++ -O3 mempool.cpp -g -c 
g++ -O3 longint.cpp -g -c -DMEMPOOL
g++ -O3 oltest.cpp  longint.o mempool.o gettimeofday.o

 */
#include <iostream>
#include "longint.h"

using namespace std;

int main()
{
	longint Q,R,A,W;
//
	longint n("374609826037864679774759374054292510668856745605487301373616436405837520577452287583017404196671330477339073422157463987365552216234892474208747520");
	longint d("37460982603743579161690478295443400057793111540103673716195688833797690826789394933085434619727650601055312222385516833813086071928918206920439743");
	std::cout << "n=" << n << std::endl;
	std::cout << "d=" << d << std::endl;
	Q = longint::ldivide(n, d, &R);
	std::cout << "Q=" << Q << std::endl;
	std::cout << "n=" << n.str() << std::endl;
	std::cout << "d=" << d.str() << std::endl;
	std::cout << "Q=" << Q.str() << std::endl;
	std::cout << "R=" << R.str() << std::endl;

//	W = lmul(d,Q);
	W = d * Q;

//	A= ladd(W,R);
	A= W + R;

//	if(lcmp(A,n) != 0){
	if( A != n ){
		cout << " BAD\n";
	}else{
		cout << " OK\n";
	}

//	if(lcmp(d,R) < 0) printf(" BAD since R greater than B\n");
	if( d < R )  cout <<" BAD since R greater than B\n";

	std::cout << "R=" << R << std::endl;
	return 0;
}
