/*

 \sum_{r=1}^n r^7 = (1/24) ( n^2 (n+1)^2 (3*n^4 + 6 * n^3 - n^2 - 4*n +2) )

g++ -O3 gettimeofday.cpp -g -c 
g++ -O3 mempool.cpp -g -c 
g++ -O3 longint.cpp -g -c -DMEMPOOL
g++ -O3 powersum.cpp  longint.o mempool.o gettimeofday.o

*/
#include <iostream>
#include "longint.h"

using namespace std;

int main(void){
	longint x1,x2,x3,x4,x7;
	int i,n;

	cout << "Enter n" << endl;
	cin >> n;

	longint x("1");
	longint y("0");

	for(i=1; i<=n; i++){
		x = x * longint::TEN;
		x2=x*x;
		x3=x*x2;
		x4=x2*x2;
		y  = longint::THREE * x4 + longint::SIX * x2 * x - x2 - longint::FOUR * x + longint::TWO;
		y  = (x2 * x1 * x1 * y )/( longint::SIX * longint::FOUR);
//		x7=x3*x4;
//		y=y+x7;
	}
	std::cout << "SUM_{i=1}^" << n << " (i^7)=" << y << std::endl;

	uint32_t p = n;
	x = p;
	x1 = x+longint::ONE;
	x2 = x*x;
	x4 = x2*x2;
	y  = longint::THREE * x4 + longint::SIX * x2 * x - x2 - longint::FOUR * x + longint::TWO;
	y  = (x2 * x1 * x1 * y )/( longint::SIX * longint::FOUR);
	std::cout << "               y   =" << y << std::endl;
	return 1;
}

